Package org.wso2.carbon.mediation.initializer

# Class RegistryWSDLLocator

java.lang.Object
org.wso2.carbon.mediation.initializer.RegistryWSDLLocator

All Implemented Interfaces:
  `javax.wsdl.xml.WSDLLocator`, `org.apache.synapse.util.resolver.UserDefinedWSDLLocator`

public class RegistryWSDLLocator extends Object implements org.apache.synapse.util.resolver.UserDefinedWSDLLocator
If imports present in wsdl , instead of providing ResourceMap(relativeloaction, registrylocation of the resources) from the client side this class will resolve the imported rsources against the wsdl key

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistryWSDLLocator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `InputSource`
  `getBaseInputSource()`
  `String`
  `getBaseURI()`
  `InputSource`
  `getImportInputSource(String parentLocation, String relativeLocation)`
  Resolve a schema or WSDL import.
  `String`
  `getLatestImportURI()`
  `void`
  `init(InputSource baseInputSource, String baseURI, org.apache.synapse.util.resolver.ResourceMap resourceMap, org.apache.synapse.config.SynapseConfiguration synCfg, String wsdlKey)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegistryWSDLLocator

    public RegistryWSDLLocator()

- ## Method Details

  - ### init

    public void init(InputSource baseInputSource, String baseURI, org.apache.synapse.util.resolver.ResourceMap resourceMap, org.apache.synapse.config.SynapseConfiguration synCfg, String wsdlKey)
    Specified by:
      `init` in interface `org.apache.synapse.util.resolver.UserDefinedWSDLLocator`

  - ### getImportInputSource

    public InputSource getImportInputSource(String parentLocation, String relativeLocation)
    Resolve a schema or WSDL import. This method will first attempt to resolve the location using the configured `ResourceMap` object. If this fails (because no `ResourceMap` is configured or because `ResourceMap.resolve(SynapseConfiguration, String)` returns null, it will resolve the location using `SynapseConfigUtils.resolveRelativeURI(String, String)`.
    Specified by:
      `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`

  - ### getLatestImportURI

    public String getLatestImportURI()
    Specified by:
      `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

  - ### getBaseInputSource

    public InputSource getBaseInputSource()
    Specified by:
      `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

  - ### getBaseURI

    public String getBaseURI()
    Specified by:
      `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

  - ### close

    public void close()
    Specified by:
      `close` in interface `javax.wsdl.xml.WSDLLocator`